#global prerelease .beta2

Name:           task
Version:        2.3.0
Release:        1%{?prerelease}%{?dist}
Summary:        A command-line to do list manager
Group:          Applications/Productivity
License:        MIT
URL:            http://taskwarrior.org
Source0:        http://taskwarrior.org/download/%{name}-%{version}%{?prerelease}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Need to build with cmake28 for EPEL6 builds
%if 0%{?rhel} == 6
BuildRequires:  cmake28
%else
BuildRequires:  cmake
%endif

BuildRequires:  libuuid-devel
BuildRequires:  gnutls-devel

%description
Task is a command-line to do list manager. It has
support for GTD functionality and includes the
following features: tags, colorful tabular output,
reports and graphs, lots of manipulation commands,
low-level API, abbreviations for all commands and
options, multi-user file locking, recurring tasks.

%prep
%setup -q -n %{name}-%{version}%{?prerelease}

%build
# Need to build with cmake28 for EPEL6 builds
%if 0%{?rhel} == 6
%cmake28
%else
%cmake
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 -T scripts/bash/task.sh $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/task

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc /usr/share/doc/task/
%{_bindir}/task
%{_bindir}/tasksh
%{_mandir}/man1/task.1.gz
%{_mandir}/man1/tasksh.1.gz
%{_mandir}/man5/taskrc.5.gz
%{_mandir}/man5/task-tutorial.5.gz
%{_mandir}/man5/task-color.5.gz
%{_mandir}/man5/task-faq.5.gz
%{_mandir}/man5/task-sync.5.gz
%config(noreplace) %{_sysconfdir}/bash_completion.d

%changelog
* Mon Jul 28 2014 Greg Bailey <gbailey@lxpro.com> - 2.3.0-1
- task 2.3.0
- Fix bogus date RPM warnings in changelog
- Use cmake28 for EPEL6 builds

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.3.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 13 2014 Ralph Bean <rbean@redhat.com> - 2.3.0-0.2.beta2
- Add buildrequires on gnutls-devel so that 'task sync' will fly.

* Mon Nov 11 2013 Ralph Bean <rbean@redhat.com> - 2.3.0-0.1.beta2
- Beta2 release from upstream.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.2.0-2
- Perl 5.18 rebuild

* Sat Jun 22 2013 Luke Macken <lmacken@redhat.com> - 2.2.0-1
- Update to task 2.2.0

* Thu Feb 21 2013 Luke Macken <lmacken@redhat.com> - 2.1.2-2
- Build against libuuid instead of using their internal
  implementation (#799664)

* Thu Feb 21 2013 Luke Macken <lmacken@redhat.com> - 2.1.2-1
- Update to task 2.1.2

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 27 2012 Federico Hernandez <ultrafredde@gmail.com> 2.0.0-1
  Initial RPM for task release 2.0.0
* Mon Mar  5 2012 Tom Callaway <spot@fedoraproject.org> 2.0.0-0.2.RC1
- update to 2.0.0 RC1
* Mon Feb 20 2012 Luke Macken <lmacken@redhat.com> - 2.0.0-0.1.beta4
- Update to the latest 2.0 beta
- Build with cmake
- Add task-unistd.patch to get it building
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Fri Mar 04 2011 Federico Hernandez <ultrafredde@gmail.com> - 1.9.4-1
  Intial RPM for task release 1.9.4
* Mon Nov 08 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.3-1
  Intial RPM for task release 1.9.3
* Thu Jul 15 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.2-2
  Wrong build config (Bugzilla 615034)
* Wed Jul 14 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.2-1
  Intial RPM for task release 1.9.2
* Sat May 22 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.1-1
  Intial RPM for task release 1.9.1
* Mon Feb 22 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0-1
  Intial RPM for task release 1.9.0
* Mon Feb 15 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta3-1
  Intial RPM for task beta release 1.9.0.beta3
* Mon Feb 08 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta2-1
  Intial RPM for task beta release 1.9.0.beta2
* Wed Feb 03 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta1-1
  Intial RPM for task beta release 1.9.0.beta1
* Sat Dec 05 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.5-2
  Fixed wrong ChangeLog file
* Sat Dec 05 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.5-1
  Intial RPM for task bugfix release 1.8.5
* Tue Nov 17 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.4-1
  Intial RPM for task bugfix release 1.8.4
* Wed Oct 21 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.3-1
  Intial RPM for task bugfix release 1.8.3
* Mon Sep 07 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.2-1
  Intial RPM for task bugfix release 1.8.2
* Thu Aug 20 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.1-1
  Intial RPM for task bugfix release 1.8.1
* Tue Jul 21 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0-1
  Intial RPM for task release 1.8.0
* Mon Jul 13 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta3-1
  Intial RPM for task beta release 1.8.0.beta3
* Wed Jul 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta2-1
  Intial RPM for task beta release 1.8.0.beta2
* Tue Jul 07 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta1-1
  Intial RPM for task beta release 1.8.0.beta1
* Mon Jun 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.1-2
  Fixed inclusion of manpages.
* Mon Jun 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.1-1
  Initial RPM for bugfix release 1.7.1.
  Updated references to new project homepage in spec file. 
* Tue May 19 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.0-2
  Changed license to GPLv2+ and removed Requires macro.
  See https://bugzilla.redhat.com/show_bug.cgi?id=501498
* Tue May 19 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.0-1
  Initial RPM.
